<?php
session_start();
if($_SESSION["username"]=="")
{
 	echo "You are not Logged in Please <a href='index.html'>Sign in </a> First ";
}
else
{


include 'dbc.php';
$id=$_REQUEST["id"];
$userid=$_SESSION["userid"];
$today=date("Y-m-d");
$month = date("m",strtotime($today));
		$year = date("Y",strtotime($today));
		 $month_name = date("F", mktime(0, 0, 0, $month, 10));
		
		
		 $my=$month_name . " " . $year;
		 
		
?>
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="en">
<!--<![endif]-->

<head>
   <?php include("includes/header.php") ?>
</head>

<body>


    <!-- Left Panel -->

    <?php include("includes/menu.php") ?><!-- /#left-panel -->

    <!-- Left Panel -->

    <!-- Right Panel -->

    <div id="right-panel" class="right-panel">

        <!-- Header-->
        <header id="header" class="header">

             <?php include("includes/headermenu.php") ?>

        </header><!-- /header -->
        <!-- Header-->

        <div class="breadcrumbs">
            <div class="col-sm-6">
                <div class="page-header float-left">
                    <div class="page-title">
                        <h1><? echo "" . $_SESSION["userid"]; ?></h1>
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="page-header float-right">
                    <div class="page-title">
                        <ol class="breadcrumb text-right">
                            <li class="active"><? echo "" . $_SESSION["username"]; ?></li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>

        <div class="content mt-3">

           


          <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header"><strong>Staff/Teacher Salary</strong><small> Form</small></div>
                            <div class="card-body card-block">
							
							 <?php
include 'dbc.php';

$month_name=$_POST["month_name"];
$marital=$_POST["marital"];
$userid=$_SESSION["userid"];
$today=date("Y-m-d");


$sqlrec = "SELECT * FROM paidsalary where  user_id='$userid' and status='$marital' and month_name='$month_name' ORDER BY tech_name";
$resultrec=$conn->query($sqlrec);
  
?>
                                <table id="bootstrap-data-table-export" class="table table-striped table-bordered">
                                    <thead>
									<?php
echo "<tr>";
echo "<th colspan=5><center> Genral Information</center> </th>";
echo "<th colspan=2><center> Attendance Info </center></th>";
echo "<th colspan=3><center> Deduction Information</center> </th>";
echo "<th colspan=4><center> Allownces Information </center></th>";
echo "</tr>";
echo "<tr>";
echo "<th > Staff Name </th>";
echo "<th > Father Name </th>";
echo "<th > Id </th>";
echo "<th > Department </th>";
echo "<th > Desg </th>";
echo "<th > J.Date </th>";
echo "<th > I.Date </th>";
echo "<th > Acc # </th>";
echo "<th > Bank </th>";
echo "<th > Basic Salary</th>";
echo "<th > T.Days</th>";
echo "<th > Absent</th>";
echo "<th > Late</th>";
echo "<th > Advance</th>";
echo "<th > Adv Ded</th>";
echo "<th > M.Sec Ded</th>";
echo "<th > Sec Ded</th>";
echo "<th > Other Ded</th>";
echo "<th > Leave Allow</th>";
echo "<th > Increament</th>";
echo "<th > Other Allow</th>";
echo "<th > Fuel Allow</th>";
echo "<th > Cond Allow</th>";
echo "<th > P.Dues</th>";
echo "<th > Sec Ret</th>";
echo "<th > T.Sec Ret</th>";
echo "</tr>";
?>
                                    </thead>
									
                                    <tbody>
									<?php
echo "<form name='form_update' method='post' action='Edit_Salary_Save.php'>\n";
while($students = $resultrec->fetch_assoc()) {

$rollno=$students["id"];

 

	echo '<tr>';
	
	
	echo "<td>{$students['tech_name']}<input type='hidden' name='tech_name[$i]' value='{$students['tech_name']}' /></td>";
	echo "<td>{$students['father_name']}<input type='hidden' name='father_name[$i]' value='{$students['father_name']}' /></td>";
	echo "<td>{$students['id']}<input type='hidden' name='id[$i]' value='{$students['id']}' /></td>";
	echo "<td>{$students['status']}<input type='hidden' name='status[$i]' value='{$students['status']}' /></td>";
	echo "<td>{$students['class_name']}<input type='hidden' name='class_name[$i]' value='{$students['class_name']}' /></td>";
	echo "<td>{$students['adm_date']}<input type='hidden' name='adm_date[$i]' value='{$students['adm_date']}' /></td>";
	echo "<td>{$students['idate']}<input type='hidden' name='idate[$i]' value='{$students['idate']}' /></td>";
	echo "<td>{$students['accno']}<input type='hidden' name='accno[$i]' value='{$students['accno']}' /></td>";
	echo "<td>{$students['bname']}<input type='hidden' name='bname[$i]' value='{$students['bname']}' /></td>";
	echo "<td>{$students['monthly_salary']}<input type='hidden' name='monthly_salary[$i]' value='{$students['monthly_salary']}' /></td>";
	echo "<td>T.Days<input type='text' size='3' name='tdays[$i]' value='{$students['tdays']}' /></td>";
	echo "<td>A.Days<input type='text' size='3' name='adays[$i]' value='{$students['adays']}' /></td>";
	echo "<td>Late<input type='text' size='3' name='latedays[$i]' value='{$students['latedays']}' /></td>";
	echo "<td>{$students['loan']}<input type='hidden' name='advded1[$i]' value='{$students['loan']}' /></td>";
	
	echo "<td>Adv Ded<input type='text' size='3' name='advded[$i]' value='{$students['advded']}'/></td>";
	echo "<td>{$students['securityded']}<input type='hidden' name='securityded1[$i]' value='{$students['securityded']}' /></td>";
	echo "<td>Sec Ded<input type='text' size='3' name='secded[$i]' value='{$students['secded']}'/></td>";
	echo "<td>Other Ded<input type='text' size='3' name='oded[$i]' value='{$students['oded']}'/></td>";
	echo "<td>Leave Allow<input type='text' size='3' name='leaveallow[$i]' value='{$students['leaveallow']}'/></td>";
	echo "<td>Increament<input type='text' size='3' name='dailyallow[$i]' value='{$students['dailyallow']}'/></td>";
	echo "<td>Other Allow<input type='text' size='3' name='oallow[$i]' value='{$students['oallow']}'/></td>";
	echo "<td>Fuel Allow<input type='text' size='3' name='fallow[$i]' value='{$students['fallow']}'/></td>";
	echo "<td>Cond Allow<input type='text' size='3' name='callow[$i]' value='{$students['callow']}'/></td>";
	echo "<td>P.Dues<input type='text' size='3' name='pallow[$i]'value='{$students['pallow']}' /></td>";
	echo "<td>Sec Ret<input type='text' size='3' name='secret[$i]' value='{$students['secret']}'/></td>";
	echo "<td>{$students['security']}<input type='hidden' name='security[$i]' value='{$students['security']}' /></td>";
	
	 
	echo '</tr>';
	++$i;
}
?>
												
																
												<div class="col-3">
                                <div class="form-group"><label for="feedisc1" class=" form-control-label">Date</label><input type="text" id="saldate" name="saldate" placeholder="Date" class="form-control" value="<? echo $today ?>"></div>
								</div>
												
									
	
								
								<div class="col-3">
                                <div class="form-group"><label for="feedisc1" class=" form-control-label">Salary Month</label><input type="text" id="month_name" name="month_name" placeholder="Attendance Month" class="form-control" value="<? echo $month_name ?>" ></div>
								</div>
								
								
								
								<div class="col-3">
                                <div class="form-group"><label for="feedisc1" class=" form-control-label">Session </label><input type="text" id="sess1" name="sess1" placeholder="Session" class="form-control" value="<? echo $year ?>" ></div>
								</div>
								
		
                                                    </div>
													<div class="card-footer">
                                                       <?php
echo '<tr>';
echo "<td><input type='submit' value='Update Salary' /></td>";

echo '</tr>';
echo "</form>";
echo '</table>';
?>
                                                       
                                                    </div>
													
													
                                                </div>
                                            </div>

            


        </div> <!-- .content -->
    </div><!-- /#right-panel -->

    <!-- Right Panel -->

   <?php include("includes/footermenu.php") ?>

</body>

</html>
<?php
}

?>